[Deprecated]: v2.0
get
/ec-ors-svc/rest/v2.0/studies/{studyId}/{mode}/sites/{siteId}/inventory/kits
Deprecated:
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.
-
siteId(required): string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9B83BFB48C5A41C59775E4D8D22D8B26 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
Query Parameters
-
inventoryStatusId: array[integer]
List of inventory status IDs.Example:
[ 5, 10 ] -
kitRange: string
Range of the kit.Example:
KIT_NUMBER:10:100 -
limit: string
Maximum number of records to display per page.Default Value:
100Example:100 -
offset: string
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Default Value:
0Example:0 -
searchString: string
Search string.Example:
KIT -
subjectId: string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : Site Kit Details Response v2.0
Type:
objectTitle:
Site Kit Details Response v2.0Contains site kit detail.
Show Source
-
count: integer
(int64)
Total count of result
-
distinctInventoryStatusIds: array
Distinct Inventory Status IDs
Title:
Distinct Inventory Status IDsUnique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction). -
hasMore: boolean
Attribute describes if result set has more recordsExample:
true -
kits: array
Kits
Title:
KitsContains site user inventory. -
limit: integer
(int64)
Maximum number of records to display per page.
-
links: array
links
-
maxKitNumber: integer
(int32)
Title:
Maximum Kit NumberMaximum Kit number.Example:10 -
minKitNumber: integer
(int32)
Title:
Minimum Kit NumberMinimum Kit number.Example:10 -
offset: integer
(int64)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
400 -
totalResults: integer
(int64)
Total number of entities in response
-
totalReturnedUnits: number
(double)
Title:
Total Returned UnitsTotal number of returned units.Example:10
Nested Schema : Distinct Inventory Status IDs
Type:
arrayTitle:
Distinct Inventory Status IDsUnique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).
Allowed Values:
Show Source
[
"1",
"2",
"3",
"4",
"5",
"6",
"7",
"8",
"9",
"10",
"11",
"12",
"13",
"14",
"15",
"16",
"17",
"18",
"19",
"20"
]Example:
[
5,
4
]Nested Schema : Kits
Type:
arrayTitle:
KitsContains site user inventory.
Show Source
-
Array of:
object SiteUserKitReconciliationTO v6.0
Title:
SiteUserKitReconciliationTO v6.0Contains site user kit reconciliation details.
Example:
[
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"kitNumber":123,
"inventoryStatusId":5,
"inventoryStatus":"Available",
"shipmentId":"C36A3197FDEE433FB5547EE83DE99E4B",
"receivedDate":"2026-02-21T06:30:00Z",
"comment":"Reconciled at site",
"subjectId":"D313327EF13845169A8ADADDA435431E",
"packageTypeId":1,
"unitsPerKit":10,
"returnedUnits":2,
"missingUnits":0,
"balanceUnits":8,
"verified":1,
"lastModifiedDate":"2026-02-21T06:45:00Z",
"kitDescription":"Kit A",
"distributionSetting":"BLINDED"
}
]Nested Schema : SiteUserKitReconciliationTO v6.0
Type:
objectTitle:
SiteUserKitReconciliationTO v6.0Contains site user kit reconciliation details.
Show Source
-
balanceUnits: number
(BigDecimal)
Title:
Balanced UnitsBalance Units of Kit. -
barCode: string
Title:
BarcodeBarcode of the kit. -
blindedLotExpirationDate: string
(date)
Title:
Blinded Expiration DateBlinded expiration date. -
blindedLotId: string
ID of blinded lot.
-
blindedLotNumber: string
Title:
Blinded Lot NumberBlinded lot number. -
comment: string
Comment.
-
deviceConnection: string
Title:
mHealth Device Connection TypeConnection type of the mHealth device.Example:DevicetoCloud -
deviceType: string
Title:
mHealth Device TypeType of the mHealth device.Example:ActivityWatch -
dispensationConfirmed: boolean
Title:
Dispensation ConfirmedIndicates if dispensation is confirmed. -
distributionSetting: string
Title:
Distribution SettingAllowed Values:[ "BLINDED", "UNBLINDED" ]Distribution setting. -
id: string
ID of the inventory.Example:
B1B8327AFAA6412287106192AB5984EF -
inventoryStatus: string
Allowed Values:
[ "Available", " Damaged", " Destroyed", " Dispensed", " Expired", " Not in Use", " Misallocated", " Missing", " In Transit", " Quarantined", " Pre-quarantined", " Pending Destruction", " Lost by Subject", " Temporarily Unavailable", " Damaged by Subject", " New", " Not Dispensed to Subject", " Returned to Site" ]Inventory status.Example:New, Damaged -
inventoryStatusId: integer
(int32)
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:
5 -
kitDescription: string
Kit description.
-
kitNumber: number
(BigDecimal)
Kit/Lot number.
-
kitNumberUTF: string
Title:
Kit Number (UTF-8)Kit number in UTF-8 format.Example:5 -
kitTypeSrcId: string
-
lastModifiedDate: string
Last modified date.Example:
23-NOV-2018 08.43.01.700136000 AM -
manufacturingLotId: string
Title:
Manufacturing Lot IDIdentifier of the manufacturing lot. -
manufacturingLotNumber: string
Title:
Manufacturing Lot NumberManufacturing lot number. -
mHealthDeviceId: string
Title:
mHealth Device IDID of the mHealth device.Example:B1B8327AFAA6412287106192AB5984EF -
missingUnits: number
(BigDecimal)
Missing Units of Kit.
-
packageTypeId: number
(BigDecimal)
Unique ID corresponding to each package type value (1 for BLISTERPACK, 2 for BOTTLE, 3 for DEVICE, 4 for SYRINGE, 5 for OINTMENT, 6 for VIAL, 7 for INHALER, 8 for INFUSION, 9 for BOX, 10 for OTHER).
-
quantity: number
Title:
QuantityQuantity of kits. -
receivedDate: string
Shipment received date.Example:
23-NOV-2018 08.43.01.700136000 AM -
restrictedQuantity: number
Title:
Restricted QuantityRestricted quantity of kits. -
returnedUnits: number
(BigDecimal)
Returned Units of Kit.
-
shipmentId: string
ID of the shipment.
-
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
B1B8327AFAA6412287106192AB5984EF -
unitsPerKit: number
(BigDecimal)
Units per Kit.
-
verified: number
(BigDecimal)
Title:
VerifiedIndicates whether the kit is verified.
Example:
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"kitNumber":10001,
"inventoryStatusId":10,
"inventoryStatus":"Dispensed",
"comment":"Received at site"
}Nested Schema : RelLink
Type:
objectObject contains link detail.
Show Source
-
href: string
Realtive URL
-
rel: string
link
Examples
400 Response
For invalid study and invalid site
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
For invalid study ID or study still in design phase AND for invalid site and kit number combination.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples